Page MenuHomePhabricator

Media upload dialog reports that file page exists, but not the file, even if the file does exist
Closed, ResolvedPublic1 Story Points

Description

Media upload dialog reports that file page exists, but not the file, even if the file does exist (using filepageexists message). I think that's the wrong one to use.

Also, the link points to a page named "Foo.png" and not "File:Foo.png".

Event Timeline

matmarex created this task.Oct 8 2015, 9:07 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added projects: VisualEditor, Multimedia.
matmarex added subscribers: matmarex, Prtksxna.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 8 2015, 9:07 PM

Should we use a different message here?

See also T114130#1706673

matmarex triaged this task as Normal priority.Oct 9 2015, 11:43 AM
matmarex set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
matmarex assigned this task to Prtksxna.Oct 12 2015, 3:33 PM

Change 245497 had a related patch set uploaded (by Bartosz Dziewoński):
mw.Upload.BookletLayout: Use appropriate messages for warnings

https://gerrit.wikimedia.org/r/245497

Change 245497 merged by jenkins-bot:
mw.Upload.BookletLayout: Use appropriate messages for warnings

https://gerrit.wikimedia.org/r/245497

Jdforrester-WMF closed this task as Resolved.Oct 12 2015, 8:06 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

We still need to change the messages and the links, but this makes things right-er.